=== source/Plugins/ObjectFile/CMakeLists.txt ===
add_subdirectory(Breakpad)
add_subdirectory(COFF)
add_subdirectory(ELF)
add_subdirectory(JSON)
add_subdirectory(Mach-O)
add_subdirectory(Minidump)
add_subdirectory(PDB)
add_subdirectory(PECOFF)
add_subdirectory(XCOFF)
add_subdirectory(Placeholder)
add_subdirectory(wasm)
